﻿<%@ Page Language="C#" ClientIDMode="Static" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Predictable Client IDs</title>
    
    <style type="text/css">
    
    #Listview2_Label1_4
    {
    	background-color: Yellow;
    }
    
    </style>
    
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <asp:Panel ClientIDMode="Predictable">
        
    </asp:Panel>
 
    <asp:ListView 
        ID="Listview2" 
        DataSourceID="LinqDataSource1" 
        ClientIDMode="Predictable" 
        ClientIDRowSuffix="RegionId"
        runat="server" DataKeyNames="RegionID">
        <AlternatingItemTemplate>
            <tr style="">
                <td>
                    <asp:Label ID="RegionIDLabel" runat="server" Text='<%# Eval("RegionID") %>' />
                </td>
                <td>
                    <asp:Label ID="RegionDescriptionLabel" runat="server" 
                        Text='<%# Eval("RegionDescription") %>' />
                </td>
            </tr>
        </AlternatingItemTemplate>
        <EditItemTemplate>
            <tr style="">
                <td>
                    <asp:Button ID="UpdateButton" runat="server" CommandName="Update" 
                        Text="Update" />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                        Text="Cancel" />
                </td>
                <td>
                    <asp:Label ID="RegionIDLabel1" runat="server" Text='<%# Eval("RegionID") %>' />
                </td>
                <td>
                    <asp:TextBox ID="RegionDescriptionTextBox" runat="server" 
                        Text='<%# Bind("RegionDescription") %>' />
                </td>
            </tr>
        </EditItemTemplate>
        <EmptyDataTemplate>
            <table runat="server" style="">
                <tr>
                    <td>
                        No data was returned.</td>
                </tr>
            </table>
        </EmptyDataTemplate>
        <InsertItemTemplate>
            <tr style="">
                <td>
                    <asp:Button ID="InsertButton" runat="server" CommandName="Insert" 
                        Text="Insert" />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                        Text="Clear" />
                </td>
                <td>
                    <asp:TextBox ID="RegionIDTextBox" runat="server" 
                        Text='<%# Bind("RegionID") %>' />
                </td>
                <td>
                    <asp:TextBox ID="RegionDescriptionTextBox" runat="server" 
                        Text='<%# Bind("RegionDescription") %>' />
                </td>
            </tr>
        </InsertItemTemplate>
        <ItemTemplate>
            <tr style="">
                <td>
                    <asp:Label ID="RegionIDLabel" runat="server" Text='<%# Eval("RegionID") %>' />
                </td>
                <td>
                    <asp:Label ID="RegionDescriptionLabel" runat="server" 
                        Text='<%# Eval("RegionDescription") %>' />
                </td>
            </tr>
        </ItemTemplate>
        <LayoutTemplate>
            <table runat="server">
                <tr runat="server">
                    <td runat="server">
                        <table ID="itemPlaceholderContainer" runat="server" border="0" style="">
                            <tr runat="server" style="">
                                <th runat="server">
                                    RegionID</th>
                                <th runat="server">
                                    RegionDescription</th>
                            </tr>
                            <tr ID="itemPlaceholder" runat="server">
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr runat="server">
                    <td runat="server" style="">
                    </td>
                </tr>
            </table>
        </LayoutTemplate>
        <SelectedItemTemplate>
            <tr style="">
                <td>
                    <asp:Label ID="RegionIDLabel" runat="server" Text='<%# Eval("RegionID") %>' />
                </td>
                <td>
                    <asp:Label ID="RegionDescriptionLabel" runat="server" 
                        Text='<%# Eval("RegionDescription") %>' />
                </td>
            </tr>
        </SelectedItemTemplate>
    </asp:ListView>
    


        <asp:LinqDataSource ID="LinqDataSource1" runat="server" 
            ContextTypeName="ASPNETTipsAndTricks.Code.NorthwindDataContext" 
            EntityTypeName="" TableName="Regions">
        </asp:LinqDataSource>


<%--    <asp:EntityDataSource 
        ID="EntityDataSource1"
        ConnectionString='<%$ ConnectionStrings:VideoGalleryDBEntities%>'  
        DefaultContainerName="VideoGalleryDBEntities"
        EntitySetName="Videos"
        runat="server" />
--%>
    
    
    
    </div>
    </form>
</body>
</html>
